Fix warnings building linux-atomic.c and fptr.c on hppa64-linux
[official-gcc.git] / libitm / testsuite / Makefile.in
blob120696d1c25cdfe05190f1b04b3bc1588c829a35
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = { \
18 if test -z '$(MAKELEVEL)'; then \
19 false; \
20 elif test -n '$(MAKE_HOST)'; then \
21 true; \
22 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23 true; \
24 else \
25 false; \
26 fi; \
28 am__make_running_with_option = \
29 case $${target_option-} in \
30 ?) ;; \
31 *) echo "am__make_running_with_option: internal error: invalid" \
32 "target option '$${target_option-}' specified" >&2; \
33 exit 1;; \
34 esac; \
35 has_opt=no; \
36 sane_makeflags=$$MAKEFLAGS; \
37 if $(am__is_gnu_make); then \
38 sane_makeflags=$$MFLAGS; \
39 else \
40 case $$MAKEFLAGS in \
41 *\\[\ \ ]*) \
42 bs=\\; \
43 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
45 esac; \
46 fi; \
47 skip_next=no; \
48 strip_trailopt () \
49 { \
50 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51 }; \
52 for flg in $$sane_makeflags; do \
53 test $$skip_next = yes && { skip_next=no; continue; }; \
54 case $$flg in \
55 *=*|--*) continue;; \
56 -*I) strip_trailopt 'I'; skip_next=yes;; \
57 -*I?*) strip_trailopt 'I';; \
58 -*O) strip_trailopt 'O'; skip_next=yes;; \
59 -*O?*) strip_trailopt 'O';; \
60 -*l) strip_trailopt 'l'; skip_next=yes;; \
61 -*l?*) strip_trailopt 'l';; \
62 -[dEDm]) skip_next=yes;; \
63 -[JT]) skip_next=yes;; \
64 esac; \
65 case $$flg in \
66 *$$target_option*) has_opt=yes; break;; \
67 esac; \
68 done; \
69 test $$has_opt = yes
70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72 pkgdatadir = $(datadir)/@PACKAGE@
73 pkgincludedir = $(includedir)/@PACKAGE@
74 pkglibdir = $(libdir)/@PACKAGE@
75 pkglibexecdir = $(libexecdir)/@PACKAGE@
76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77 install_sh_DATA = $(install_sh) -c -m 644
78 install_sh_PROGRAM = $(install_sh) -c
79 install_sh_SCRIPT = $(install_sh) -c
80 INSTALL_HEADER = $(INSTALL_DATA)
81 transform = $(program_transform_name)
82 NORMAL_INSTALL = :
83 PRE_INSTALL = :
84 POST_INSTALL = :
85 NORMAL_UNINSTALL = :
86 PRE_UNINSTALL = :
87 POST_UNINSTALL = :
88 build_triplet = @build@
89 host_triplet = @host@
90 target_triplet = @target@
91 subdir = testsuite
92 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
93 am__aclocal_m4_deps = $(top_srcdir)/../config/acx.m4 \
94 $(top_srcdir)/../config/asmcfi.m4 \
95 $(top_srcdir)/../config/depstand.m4 \
96 $(top_srcdir)/../config/enable.m4 \
97 $(top_srcdir)/../config/futex.m4 \
98 $(top_srcdir)/../config/hwcaps.m4 \
99 $(top_srcdir)/../config/lead-dot.m4 \
100 $(top_srcdir)/../config/mmap.m4 \
101 $(top_srcdir)/../config/multi.m4 \
102 $(top_srcdir)/../config/override.m4 \
103 $(top_srcdir)/../config/stdint.m4 \
104 $(top_srcdir)/../config/tls.m4 \
105 $(top_srcdir)/../config/toolexeclibdir.m4 \
106 $(top_srcdir)/../config/weakref.m4 \
107 $(top_srcdir)/../ltoptions.m4 $(top_srcdir)/../ltsugar.m4 \
108 $(top_srcdir)/../ltversion.m4 $(top_srcdir)/../lt~obsolete.m4 \
109 $(top_srcdir)/acinclude.m4 $(top_srcdir)/../libtool.m4 \
110 $(top_srcdir)/../config/cet.m4 $(top_srcdir)/configure.ac
111 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
112 $(ACLOCAL_M4)
113 DIST_COMMON = $(srcdir)/Makefile.am
114 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
115 CONFIG_HEADER = $(top_builddir)/config.h
116 CONFIG_CLEAN_FILES =
117 CONFIG_CLEAN_VPATH_FILES =
118 AM_V_P = $(am__v_P_@AM_V@)
119 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
120 am__v_P_0 = false
121 am__v_P_1 = :
122 AM_V_GEN = $(am__v_GEN_@AM_V@)
123 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
124 am__v_GEN_0 = @echo " GEN " $@;
125 am__v_GEN_1 =
126 AM_V_at = $(am__v_at_@AM_V@)
127 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
128 am__v_at_0 = @
129 am__v_at_1 =
130 SOURCES =
131 am__can_run_installinfo = \
132 case $$AM_UPDATE_INFO_DIR in \
133 n|no|NO) false;; \
134 *) (install-info --version) >/dev/null 2>&1;; \
135 esac
136 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
137 DEJATOOL = $(PACKAGE)
138 RUNTESTDEFAULTFLAGS = --tool $$tool --srcdir $$srcdir
139 ACLOCAL = @ACLOCAL@
140 AMTAR = @AMTAR@
141 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
142 AR = @AR@
143 AUTOCONF = @AUTOCONF@
144 AUTOHEADER = @AUTOHEADER@
145 AUTOMAKE = @AUTOMAKE@
146 AWK = @AWK@
147 CC = @CC@
148 CCAS = @CCAS@
149 CCASDEPMODE = @CCASDEPMODE@
150 CCASFLAGS = @CCASFLAGS@
151 CCDEPMODE = @CCDEPMODE@
152 CFLAGS = @CFLAGS@
153 CPP = @CPP@
154 CPPFLAGS = @CPPFLAGS@
155 CXX = @CXX@
156 CXXCPP = @CXXCPP@
157 CXXDEPMODE = @CXXDEPMODE@
158 CXXFLAGS = @CXXFLAGS@
159 CYGPATH_W = @CYGPATH_W@
160 DEFS = @DEFS@
161 DEPDIR = @DEPDIR@
162 DSYMUTIL = @DSYMUTIL@
163 DUMPBIN = @DUMPBIN@
164 ECHO_C = @ECHO_C@
165 ECHO_N = @ECHO_N@
166 ECHO_T = @ECHO_T@
167 EGREP = @EGREP@
168 EXEEXT = @EXEEXT@
169 FGREP = @FGREP@
170 GREP = @GREP@
171 HWCAP_LDFLAGS = @HWCAP_LDFLAGS@
172 INSTALL = @INSTALL@
173 INSTALL_DATA = @INSTALL_DATA@
174 INSTALL_PROGRAM = @INSTALL_PROGRAM@
175 INSTALL_SCRIPT = @INSTALL_SCRIPT@
176 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
177 LD = @LD@
178 LDFLAGS = @LDFLAGS@
179 LIBOBJS = @LIBOBJS@
180 LIBS = @LIBS@
181 LIBTOOL = @LIBTOOL@
182 LIPO = @LIPO@
183 LN_S = @LN_S@
184 LTLIBOBJS = @LTLIBOBJS@
185 MAINT = @MAINT@
186 MAKEINFO = @MAKEINFO@
187 MKDIR_P = @MKDIR_P@
188 NM = @NM@
189 NMEDIT = @NMEDIT@
190 OBJDUMP = @OBJDUMP@
191 OBJEXT = @OBJEXT@
192 OPT_LDFLAGS = @OPT_LDFLAGS@
193 OTOOL = @OTOOL@
194 OTOOL64 = @OTOOL64@
195 PACKAGE = @PACKAGE@
196 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
197 PACKAGE_NAME = @PACKAGE_NAME@
198 PACKAGE_STRING = @PACKAGE_STRING@
199 PACKAGE_TARNAME = @PACKAGE_TARNAME@
200 PACKAGE_URL = @PACKAGE_URL@
201 PACKAGE_VERSION = @PACKAGE_VERSION@
202 PATH_SEPARATOR = @PATH_SEPARATOR@
203 PERL = @PERL@
204 RANLIB = @RANLIB@
205 SECTION_LDFLAGS = @SECTION_LDFLAGS@
206 SED = @SED@
207 SET_MAKE = @SET_MAKE@
208 SHELL = @SHELL@
209 STRIP = @STRIP@
210 VERSION = @VERSION@
211 XCFLAGS = @XCFLAGS@
212 XLDFLAGS = @XLDFLAGS@
213 abs_builddir = @abs_builddir@
214 abs_srcdir = @abs_srcdir@
215 abs_top_builddir = @abs_top_builddir@
216 abs_top_srcdir = @abs_top_srcdir@
217 ac_ct_CC = @ac_ct_CC@
218 ac_ct_CXX = @ac_ct_CXX@
219 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
220 am__include = @am__include@
221 am__leading_dot = @am__leading_dot@
222 am__quote = @am__quote@
223 am__tar = @am__tar@
224 am__untar = @am__untar@
225 bindir = @bindir@
226 build = @build@
227 build_alias = @build_alias@
228 build_cpu = @build_cpu@
229 build_os = @build_os@
230 build_vendor = @build_vendor@
231 builddir = @builddir@
232 config_path = @config_path@
233 datadir = @datadir@
234 datarootdir = @datarootdir@
235 docdir = @docdir@
236 dvidir = @dvidir@
237 enable_shared = @enable_shared@
238 enable_static = @enable_static@
239 exec_prefix = @exec_prefix@
240 get_gcc_base_ver = @get_gcc_base_ver@
241 host = @host@
242 host_alias = @host_alias@
243 host_cpu = @host_cpu@
244 host_os = @host_os@
245 host_vendor = @host_vendor@
246 htmldir = @htmldir@
247 includedir = @includedir@
248 infodir = @infodir@
249 install_sh = @install_sh@
250 libdir = @libdir@
251 libexecdir = @libexecdir@
252 libtool_VERSION = @libtool_VERSION@
253 link_itm = @link_itm@
254 localedir = @localedir@
255 localstatedir = @localstatedir@
256 mandir = @mandir@
257 mkdir_p = @mkdir_p@
258 multi_basedir = @multi_basedir@
259 oldincludedir = @oldincludedir@
260 pdfdir = @pdfdir@
261 prefix = @prefix@
262 program_transform_name = @program_transform_name@
263 psdir = @psdir@
264 sbindir = @sbindir@
265 sharedstatedir = @sharedstatedir@
266 srcdir = @srcdir@
267 sysconfdir = @sysconfdir@
268 target = @target@
269 target_alias = @target_alias@
270 target_cpu = @target_cpu@
271 target_os = @target_os@
272 target_vendor = @target_vendor@
273 toolexecdir = @toolexecdir@
274 toolexeclibdir = @toolexeclibdir@
275 top_build_prefix = @top_build_prefix@
276 top_builddir = @top_builddir@
277 top_srcdir = @top_srcdir@
278 AUTOMAKE_OPTIONS = foreign dejagnu
280 # May be used by various substitution variables.
281 gcc_version := $(shell @get_gcc_base_ver@ $(top_srcdir)/../gcc/BASE-VER)
282 EXPECT = $(shell if test -f $(top_builddir)/../expect/expect; then \
283 echo $(top_builddir)/../expect/expect; else echo expect; fi)
285 _RUNTEST = $(shell if test -f $(top_srcdir)/../dejagnu/runtest; then \
286 echo $(top_srcdir)/../dejagnu/runtest; else echo runtest; fi)
288 RUNTEST = $(_RUNTEST) $(AM_RUNTESTFLAGS)
289 all: all-am
291 .SUFFIXES:
292 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
293 @for dep in $?; do \
294 case '$(am__configure_deps)' in \
295 *$$dep*) \
296 ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
297 && { if test -f $@; then exit 0; else break; fi; }; \
298 exit 1;; \
299 esac; \
300 done; \
301 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign testsuite/Makefile'; \
302 $(am__cd) $(top_srcdir) && \
303 $(AUTOMAKE) --foreign testsuite/Makefile
304 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
305 @case '$?' in \
306 *config.status*) \
307 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
308 *) \
309 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
310 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
311 esac;
313 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
314 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
316 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
317 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
318 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
319 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
320 $(am__aclocal_m4_deps):
322 mostlyclean-libtool:
323 -rm -f *.lo
325 clean-libtool:
326 -rm -rf .libs _libs
327 tags TAGS:
329 ctags CTAGS:
331 cscope cscopelist:
334 check-DEJAGNU: site.exp
335 srcdir='$(srcdir)'; export srcdir; \
336 EXPECT=$(EXPECT); export EXPECT; \
337 if $(SHELL) -c "$(RUNTEST) --version" > /dev/null 2>&1; then \
338 exit_status=0; l='$(DEJATOOL)'; for tool in $$l; do \
339 if $(RUNTEST) $(AM_RUNTESTFLAGS) $(RUNTESTDEFAULTFLAGS) $(RUNTESTFLAGS); \
340 then :; else exit_status=1; fi; \
341 done; \
342 else echo "WARNING: could not find '$(RUNTEST)'" 1>&2; :;\
343 fi; \
344 exit $$exit_status
345 site.exp: Makefile $(EXTRA_DEJAGNU_SITE_CONFIG)
346 @echo 'Making a new site.exp file ...'
347 @echo '## these variables are automatically generated by make ##' >site.tmp
348 @echo '# Do not edit here. If you wish to override these values' >>site.tmp
349 @echo '# edit the last section' >>site.tmp
350 @echo 'set srcdir "$(srcdir)"' >>site.tmp
351 @echo "set objdir `pwd`" >>site.tmp
352 @echo 'set build_alias "$(build_alias)"' >>site.tmp
353 @echo 'set build_triplet $(build_triplet)' >>site.tmp
354 @echo 'set host_alias "$(host_alias)"' >>site.tmp
355 @echo 'set host_triplet $(host_triplet)' >>site.tmp
356 @echo 'set target_alias "$(target_alias)"' >>site.tmp
357 @echo 'set target_triplet $(target_triplet)' >>site.tmp
358 @list='$(EXTRA_DEJAGNU_SITE_CONFIG)'; for f in $$list; do \
359 echo "## Begin content included from file $$f. Do not modify. ##" \
360 && cat `test -f "$$f" || echo '$(srcdir)/'`$$f \
361 && echo "## End content included from file $$f. ##" \
362 || exit 1; \
363 done >> site.tmp
364 @echo "## End of auto-generated content; you can edit from here. ##" >> site.tmp
365 @if test -f site.exp; then \
366 sed -e '1,/^## End of auto-generated content.*##/d' site.exp >> site.tmp; \
368 @-rm -f site.bak
369 @test ! -f site.exp || mv site.exp site.bak
370 @mv site.tmp site.exp
372 distclean-DEJAGNU:
373 -rm -f site.exp site.bak
374 -l='$(DEJATOOL)'; for tool in $$l; do \
375 rm -f $$tool.sum $$tool.log; \
376 done
377 check-am: all-am
378 $(MAKE) $(AM_MAKEFLAGS) check-DEJAGNU
379 check: check-am
380 all-am: Makefile
381 installdirs:
382 install: install-am
383 install-exec: install-exec-am
384 install-data: install-data-am
385 uninstall: uninstall-am
387 install-am: all-am
388 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
390 installcheck: installcheck-am
391 install-strip:
392 if test -z '$(STRIP)'; then \
393 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
394 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
395 install; \
396 else \
397 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
398 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
399 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
401 mostlyclean-generic:
403 clean-generic:
405 distclean-generic:
406 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
407 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
409 maintainer-clean-generic:
410 @echo "This command is intended for maintainers to use"
411 @echo "it deletes files that may require special tools to rebuild."
412 clean: clean-am
414 clean-am: clean-generic clean-libtool mostlyclean-am
416 distclean: distclean-am
417 -rm -f Makefile
418 distclean-am: clean-am distclean-DEJAGNU distclean-generic
420 dvi: dvi-am
422 dvi-am:
424 html: html-am
426 html-am:
428 info: info-am
430 info-am:
432 install-data-am:
434 install-dvi: install-dvi-am
436 install-dvi-am:
438 install-exec-am:
440 install-html: install-html-am
442 install-html-am:
444 install-info: install-info-am
446 install-info-am:
448 install-man:
450 install-pdf: install-pdf-am
452 install-pdf-am:
454 install-ps: install-ps-am
456 install-ps-am:
458 installcheck-am:
460 maintainer-clean: maintainer-clean-am
461 -rm -f Makefile
462 maintainer-clean-am: distclean-am maintainer-clean-generic
464 mostlyclean: mostlyclean-am
466 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
468 pdf: pdf-am
470 pdf-am:
472 ps: ps-am
474 ps-am:
476 uninstall-am:
478 .MAKE: check-am install-am install-strip
480 .PHONY: all all-am check check-DEJAGNU check-am clean clean-generic \
481 clean-libtool cscopelist-am ctags-am distclean \
482 distclean-DEJAGNU distclean-generic distclean-libtool dvi \
483 dvi-am html html-am info info-am install install-am \
484 install-data install-data-am install-dvi install-dvi-am \
485 install-exec install-exec-am install-html install-html-am \
486 install-info install-info-am install-man install-pdf \
487 install-pdf-am install-ps install-ps-am install-strip \
488 installcheck installcheck-am installdirs maintainer-clean \
489 maintainer-clean-generic mostlyclean mostlyclean-generic \
490 mostlyclean-libtool pdf pdf-am ps ps-am tags-am uninstall \
491 uninstall-am
493 .PRECIOUS: Makefile
496 # Tell versions [3.59,3.63) of GNU make to not export all variables.
497 # Otherwise a system limit (for SysV at least) may be exceeded.
498 .NOEXPORT: